﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CSScontrol.Models;

namespace CSScontrol.Controllers
{
	[OutputCache(VaryByParam = "none", Duration = 3600)]
	// to clear the output cache use 
	// HttpResponse.RemoveOutputCacheItem("/Css/Site.css");

    public class CssController : Controller
    {
        public ActionResult Index()
        {
			var cssDefs = new Css();
			cssDefs.Background = "f08";
			cssDefs.Width = "690px";
			cssDefs.WrapperMargin = "0 auto";
			if (Convert.ToBoolean(System.Configuration.ConfigurationSettings.AppSettings["CompressCSS"]) == true)
				Response.Filter = new CSSCompressor(Response.Filter);
            return View(cssDefs);
        }

    }
}
